Subject: Bug report : gitattribute export-ignore behavior does not match documentation

From: "Jean-Noël AVILA" <[email-masked]>
Date: Sat, 1 Dec 2012 12:24:55 +0100

Tested on latest maint and master.

The 'export-ignore' gitattribute is documented as behaving on a pattern, just 
like in .gitignore.

In repo where I have a tree like this:

.gitattributes
figures/
fr/figures/

I want to remove from archive all the figures directories. So I added 

figures/ export-ignore 

to the top level .gitattributes file.

but then:

$  git check-attr -a fr/figures
$  git check-attr -a figures
$

If I change the line in .gitattributes to :

figures export-ignore

I get the correct result, but I am not sure to exclude only directories.

Am I wrong somewhere?

Thank you.

Jean-Noël AVILA